-- NAME_PLATE_UNIT_ADDED NAME_PLATE_UNIT_REMOVED
function(event, unit)
	local name = UnitName(unit)
	if name and UnitIsPlayer(unit) then
		local race = UnitRace(unit)
		local doNotify = true
		if aura_env.config.allyOnly then
			doNotify = false
			if aura_env.raceMap[race] == "Alliance" then
				doNotify = true
			end
		end
		-- Stinkies overwrite allyOnly
		if aura_env.config.stinkyOnly then
			doNotify = false
			if WeakAurasSaved.Cyka.stinkies[name] then
				doNotify = true
			end
		end
		if doNotify then
			aura_env.NotifySpotted(name, race)
		end
	end
end